import Vue from 'vue'
import VueRouter from 'vue-router'
import ComponentA from '../views/ComponentA.vue'
import ComponentB from '../views/ComponentB.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/compo_a',
    name: 'CompoA',
    component: ComponentA
  },
  {
    path: '/compo_b',
    name: 'CompoB',
    component: ComponentB
  }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
